package com.huimv.admin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author author
 * @since 2023-07-21
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("base_location")
public class BaseLocation implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 名字
     */
    private String locationName;

    /**
     * pcr 次数
     */
    private Integer pcrNum;

    /**
     * 洗消次数
     */
    private Integer washNum;

    /**
     * 洗澡次数
     */
    private Integer batheNum;

    private Integer farmId;

    /**
     * 0检测地点，1 工作地点
     */
    private Integer locationType;

//    private Integer processId;


}
